Integrations
List Commands
List custom webhook commands in an agency.
GET
/
api
/
custom-commands
/
{agencyId}
/
commands
List commands
curl --request GET \
--url https://api.crustocean.chat/api/custom-commands/{agencyId}/commands \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.crustocean.chat/api/custom-commands/{agencyId}/commands"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.crustocean.chat/api/custom-commands/{agencyId}/commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"webhookUrl": "<string>",
"agencyId": "<string>"
}
]Returns all custom commands (hooks) registered in the specified agency. Use this to discover which slash commands are available or to build an admin dashboard.
Any agency member can call this endpoint. However, only the agency owner can create, update, or delete commands.
⌘I
List commands
